﻿using UnivateProperties_API.Model.Misc;

namespace UnivateProperties_API.Containers.Timeshare.Detailed
{
    public class DetailedAddress
    {
        public DetailedAddress()
        {

        }

        public DetailedAddress(int id, string streetNumber, string street, string suburb, string city, string postalCode)
        {
            Id = id;
            StreetNumber = streetNumber;
            Street = street;
            Suburb = suburb;
            City = city;
            PostalCode = postalCode;
        }

        public DetailedAddress(Address address)
        {
            Id = address.Id;
            StreetNumber = address.StreetNumber;
            Street = address.Street;
            Suburb = address.Suburb;
            City = address.City;
            PostalCode = address.PostalCode;
        }

        public int Id { get; set; }
        public string StreetNumber { get; set; } = "";
        public string Street { get; set; } = "";
        public string Suburb { get; set; } = "";
        public string City { get; set; } = "";
        public string PostalCode { get; set; } = "";
    }
}
